import { EXPORT_STATES } from '@/config'
import { UUID } from '.'
import { User } from './user'

export type CorpusExportState = keyof typeof EXPORT_STATES

export interface CorpusExport {
  id: UUID
  created: string
  updated: string
  corpus_id: UUID
  user: User
  state: CorpusExportState
  source: string
}

export interface ExportSource {
  name: string
  /**
   * Date of the database backup.
   * A value of `null` means either the database is live and not a backup,
   * or the backup is missing the metadata providing its date.
   */
  last_update: string | null
}
